WPXMemoryInputStream Class Reference documentation

WPXMemoryInputStream Class Reference

`#include <WPXMemoryStream.h>`

Inheritance diagram for WPXMemoryInputStream:

## Public Member Functions
| WPXMemoryInputStream (unsigned char *data, unsigned long size)
| ~WPXMemoryInputStream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned) override
bool | existsSubStream (const char *) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *) override
librevenge::RVNGInputStream * | getSubStreamById (unsigned) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override
unsigned long | getSize () const

## Private Member Functions
| WPXMemoryInputStream (const WPXMemoryInputStream &)
WPXMemoryInputStream & | operator= (const WPXMemoryInputStream &)

## Private Attributes
long | m_offset
unsigned long | m_size
unsigned char * | m_data

## Constructor & Destructor Documentation

## ◆ WPXMemoryInputStream() [1/2]

WPXMemoryInputStream::WPXMemoryInputStream | ( | unsigned char * | data,
|  | unsigned long | size )

Referenced by operator=(), and WPXMemoryInputStream().

## ◆ ~WPXMemoryInputStream()

WPXMemoryInputStream::~WPXMemoryInputStream | ( |  | ) |
| override

## ◆ WPXMemoryInputStream() [2/2]

WPXMemoryInputStream::WPXMemoryInputStream | ( | const WPXMemoryInputStream & |  | ) |
| private

## Member Function Documentation

## ◆ existsSubStream()

bool WPXMemoryInputStream::existsSubStream | ( | const char * |  | ) |
| inlineoverride

## ◆ getSize()

unsigned long WPXMemoryInputStream::getSize | ( |  | ) | const
| inline

## ◆ getSubStreamById()

librevenge::RVNGInputStream * WPXMemoryInputStream::getSubStreamById | ( | unsigned |  | ) |
| inlineoverride

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * WPXMemoryInputStream::getSubStreamByName | ( | const char * |  | ) |
| inlineoverride

## ◆ isEnd()

bool WPXMemoryInputStream::isEnd | ( |  | ) |
| override

## ◆ isStructured()

bool WPXMemoryInputStream::isStructured | ( |  | ) |
| inlineoverride

## ◆ operator=()

WPXMemoryInputStream & WPXMemoryInputStream::operator= | ( | const WPXMemoryInputStream & |  | ) |
| private

## ◆ read()

const unsigned char * WPXMemoryInputStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead )
| override

## ◆ seek()

int WPXMemoryInputStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType )
| override

Referenced by WP1SubDocument::parse(), WP3SubDocument::parse(), WP42SubDocument::parse(), WP5SubDocument::parse(), and WP6SubDocument::parse().

## ◆ subStreamCount()

unsigned WPXMemoryInputStream::subStreamCount | ( |  | ) |
| inlineoverride

## ◆ subStreamName()

const char * WPXMemoryInputStream::subStreamName | ( | unsigned |  | ) |
| inlineoverride

## ◆ tell()

long WPXMemoryInputStream::tell | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_data

unsigned char* WPXMemoryInputStream::m_data
| private

Referenced by read(), and WPXMemoryInputStream().

## ◆ m_offset

long WPXMemoryInputStream::m_offset
| private

Referenced by isEnd(), read(), seek(), tell(), and WPXMemoryInputStream().

## ◆ m_size

unsigned long WPXMemoryInputStream::m_size
| private

Referenced by getSize(), isEnd(), read(), seek(), and WPXMemoryInputStream().

The documentation for this class was generated from the following files:

- WPXMemoryStream.h
- WPXMemoryStream.cpp